Package org.gradle.testkit.runner

# Class InvalidRunnerConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.gradle.testkit.runner.InvalidRunnerConfigurationException

All Implemented Interfaces:
  `Serializable`

@Incubating public class InvalidRunnerConfigurationException extends IllegalStateException
Thrown when a build cannot be executed due to the runner being in an invalid state.

Since:
  2.6
See Also:
  - `GradleRunner.build()`
  - `GradleRunner.buildAndFail()`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidRunnerConfigurationException(String s)`
`InvalidRunnerConfigurationException(String s, UnsupportedVersionException e)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidRunnerConfigurationException

public InvalidRunnerConfigurationException(String s)

### InvalidRunnerConfigurationException

public InvalidRunnerConfigurationException(String s, UnsupportedVersionException e)